JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::CharReader::Impl Class Referenceabstract

`#include <json/reader.h>`

## Public Member Functions

virtual | ~Impl ()=default
virtual bool | parse (char const *beginDoc, char const *endDoc, Value *root, String *errs)=0
virtual std::vector< StructuredError > | getStructuredErrors () const =0

## Detailed Description

Definition at line 291 of file reader.h.

## Constructor & Destructor Documentation

## ~Impl()

virtual Json::CharReader::Impl::~Impl | ( |  | ) |

virtual default

## Member Function Documentation

## getStructuredErrors()

virtual std::vector< StructuredError > Json::CharReader::Impl::getStructuredErrors | ( |  | ) | const

pure virtual

## parse()

virtual bool Json::CharReader::Impl::parse | ( | char const * | beginDoc,
|  | char const * | endDoc,
|  | Value * | root,
|  | String * | errs )

pure virtual

The documentation for this class was generated from the following file:

- include/json/reader.h